## twitter-bootstrap3 3.3.4+dfsg

=== test-infra/requirements.txt ===
boto==2.25.0

## twitter-bootstrap3 3.2.0+dfsg

=== debian/changelog ===
twitter-bootstrap3 (3.2.0+dfsg-1) unstable; urgency=medium

  * Restart packaging for twitter-bootstrap3 (Closes: #722935)
  * Do not install documentation
  * Provide less files, as suggested in #731750

 -- David Prévot <taffit@debian.org>  Sun, 14 Sep 2014 15:14:28 -0400

twitter-bootstrap (2.0.2+dfsg-4) unstable; urgency=low

  * QA upload.
  * debian/patches/build-with-node-1.4.2.patch: Add patch from upstream
    git to build with node 1.4.2 (Closes: #718072)
  * Updating to Standards version 3.9.4
  * Update copyright file to clarify license
  * Include a watchfile
  * Don't duplicate "Section"-field in libjs-twitter-bootstrap
  * Don't use obsolete Apache2 conf.d directory
  * Add a doc-base file for the documentation package

 -- Andreas Moog <amoog@ubuntu.com>  Sat, 10 Aug 2013 18:57:51 +0000

twitter-bootstrap (2.0.2+dfsg-3) unstable; urgency=low

  * QA upload
  * The package has been orphaned. Set maintainer to Debian QA Group.
  * Use nodejs command instead of the obsolete node command to build the
    documentation. (Closes: #707522)

 -- Markus Koschany <apo@gambaru.de>  Sat, 08 Jun 2013 23:09:56 +0200

twitter-bootstrap (2.0.2+dfsg-2) unstable; urgency=low

  * Switching to xz compression.
  * Updating GPL boilerplate in copyright file.
  * Sorting fields in proper order in copyright file.
  * Removing useless additional license file.
  * Adding missing continuation line in copyright file.
  * Removing obsoleted copyright symbols in copyright file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 30 Jun 2012 15:48:58 +0200

twitter-bootstrap (2.0.2+dfsg-1) unstable; urgency=low

  * Merging upstream version 2.0.2+dfsg.
  * Rediffing dfsg.patch.
  * Rediffing build.patch.
  * Making build-depends on less.js versioned.
  * Updating to debhelper version 9.
  * Updating to standards version 3.9.3.
  * Updating copyright file machine-readable format version 1.0.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 20 Mar 2012 12:20:34 +0100

twitter-bootstrap (2.0+dfsg-1) unstable; urgency=low

  * Merging upstream version 2.0+dfsg.
  * Updating rules for version 2.0.
  * Updating copyright file for version 2.0.
  * Removing date.patch, not required anymore.
  * Updating local copy of html5shiv.
  * Adding node-uglify to build-depends.
  * Adding zip to build-depends.
  * Adding patch to avoid trying to copy not included jquery.js file.
  * Adding patch to avoid removing files after build.
  * Updating debhelper files for new fs layout.
  * Using uppercase spelling of html in package descriptions.
  * Adding todo file.
  * Dropping usage of javascript-common and using more suitable
    /twitter-bootstrap and /bootstrap configurations without loosing
    javascript-common compatiblity.
  * Also compressing local css file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 11 Feb 2012 09:40:17 +0100

twitter-bootstrap (1.4+dfsg-2) unstable; urgency=low

  * Adding provides twitter-bootstrap and twitter-bootstrap-docs to
    libjs-t-b and libjs-t-b-d respectively.
  * Adding local copy of html5shiv, version 20120101.
  * Adding local copy of google-code-prettify, version 20110601.
  * Installing compressed variants of all javascript files.
  * Adding recommends to libjs-jquery and libjs-jquery-tablesorter.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 07 Jan 2012 23:06:55 +0100

twitter-bootstrap (1.4+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #647864).
  * Rebuild upstream tarball without browser and twitter icons
    and google-code-prettify.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 28 Dec 2011 08:10:28 +0100

=== debian/control ===
Source: twitter-bootstrap3
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>
Build-Depends: cssmin, debhelper (>= 9), node-less, node-uglify
Standards-Version: 3.9.5
Homepage: http://getbootstrap.com/
Vcs-Git: git://anonscm.debian.org/pkg-javascript/twitter-bootstrap.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/twitter-bootstrap.git

Package: libjs-bootstrap
Architecture: all
Depends: ${misc:Depends}
Description: HTML, CSS and JS framework
 Bootstrap is a popular HTML, CSS, and JS framework for developing
 responsive, mobile first projects on the web.
 .
 It includes base CSS and HTML for typography, forms, buttons, tables,
 grids, navigation, and more.

=== debian/watch ===
version=3
options=uversionmangle=s/-?([^\d\.]+)\.?/~$1/i;tr/A-Z/a-z/;s/$/+dfsg/ \
https://github.com/twbs/bootstrap/releases \
.*/archive/v?([\d\.]+-?\w*\.?\d*)\.tar\.gz

## twitter-bootstrap3 3.3.5+dfsg

=== debian/changelog ===
twitter-bootstrap3 (3.3.5+dfsg-2) unstable; urgency=medium

  * Add node-source-map to build-dependencies.
    Thanks to Jonas Smedegaard (Closes: #802527)

 -- David Prévot <taffit@debian.org>  Fri, 23 Oct 2015 13:11:28 -0400

twitter-bootstrap3 (3.3.5+dfsg-1) unstable; urgency=medium

  [ XhmikosR ]
  * Fix license header

 -- David Prévot <taffit@debian.org>  Sat, 20 Jun 2015 16:35:10 -0400

twitter-bootstrap3 (3.3.4+dfsg-2) unstable; urgency=medium

  * Upload to unstable since Jessie has been released

 -- David Prévot <taffit@debian.org>  Sun, 17 May 2015 09:06:25 -0400

twitter-bootstrap3 (3.3.4+dfsg-1) experimental; urgency=medium

  * Update copyright

 -- David Prévot <taffit@debian.org>  Thu, 19 Mar 2015 16:56:48 -0400

twitter-bootstrap3 (3.3.2+dfsg-1) experimental; urgency=medium

  * Update copyright

 -- David Prévot <taffit@debian.org>  Thu, 29 Jan 2015 19:22:15 -0400

twitter-bootstrap3 (3.3.1+dfsg-1) experimental; urgency=medium

  * Upload to experimental to respect the freeze

  [ Mark Otto ]
  * bump version to v3.3.1

  [ David Prévot ]
  * Use repacksuffix feature of uscan
  * Update copyright
  * Add upstream changelog
  * Bump standards version to 3.9.6
  * Update rules

 -- David Prévot <taffit@debian.org>  Fri, 12 Dec 2014 23:01:18 -0400

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,12 @@
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>
-Build-Depends: cssmin, debhelper (>= 9), node-less, node-uglify
-Standards-Version: 3.9.5
+Build-Depends: cssmin,
+               debhelper (>= 9),
+               node-less,
+               node-source-map,
+               node-uglify
+Standards-Version: 3.9.6
 Homepage: http://getbootstrap.com/
 Vcs-Git: git://anonscm.debian.org/pkg-javascript/twitter-bootstrap.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/twitter-bootstrap.git

=== debian/watch ===
version=3
options=uversionmangle=s/-?([^\d\.]+)\.?/~$1/i;tr/A-Z/a-z/;,dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg \
https://github.com/twbs/bootstrap/releases \
.*/archive/v?([\d\.]+-?\w*\.?\d*)\.tar\.gz

## twitter-bootstrap3 3.3.6+dfsg

=== debian/changelog ===
twitter-bootstrap3 (3.3.6+dfsg-1ubuntu0.1~esm1) xenial-security; urgency=medium

  * SECURITY UPDATE: cross-site scripting(xss) vulnerability
    - debian/patches/CVE-2024-6484.patch: disable further event handling
    - debian/patches/CVE-2024-6485.patch: Sanitize data[state]
    - CVE-2024-6484
    - CVE-2024-6485

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 16 Apr 2025 09:59:43 +0530

twitter-bootstrap3 (3.3.6+dfsg-1) unstable; urgency=medium

  * Track version 3
  * Drop unsuitable images

 -- David Prévot <taffit@debian.org>  Sat, 19 Dec 2015 10:54:42 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: twitter-bootstrap3
 Section: web
 Priority: optional
-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: cssmin,
                debhelper (>= 9),

## twitter-bootstrap3 3.3.7+dfsg

=== debian/changelog ===
twitter-bootstrap3 (3.3.7+dfsg-2) unstable; urgency=medium

  * Team upload
  * debian/upstream/changelog: update with changelog entries for 3.3.7
  * debian/rules: produce reproducible copyright message in
    dist/js/bootstrap3.js (Closes: #834988)

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 24 Oct 2016 10:45:58 -0200

twitter-bootstrap3 (3.3.7+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.3.7+dfsg
    - Adds compatibility with jQuery 3
  * debian/rules: update the jQuery version check
  * Bump Standards-Version to 3.9.8; no changes needed
  * Switch Git* URL's to https

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 22 Oct 2016 20:20:37 -0200

=== debian/control ===
Source: twitter-bootstrap3
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>
Build-Depends: cssmin,
               debhelper (>= 9),
               node-less,
               node-source-map,
               node-uglify
Standards-Version: 3.9.8
Homepage: http://getbootstrap.com/
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/twitter-bootstrap.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-javascript/twitter-bootstrap.git

Package: libjs-bootstrap
Architecture: all
Depends: ${misc:Depends}
Description: HTML, CSS and JS framework
 Bootstrap is a popular HTML, CSS, and JS framework for developing
 responsive, mobile first projects on the web.
 .
 It includes base CSS and HTML for typography, forms, buttons, tables,
 grids, navigation, and more.

=== debian/watch ===
version=3
options=uversionmangle=s/-?([^\d\.]+)\.?/~$1/i;tr/A-Z/a-z/;,dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg \
https://github.com/twbs/bootstrap/releases \
.*/archive/v?(3\.[\d\.]+-?\w*\.?\d*)\.tar\.gz

## twitter-bootstrap3 3.4.0+dfsg

=== debian/changelog ===
twitter-bootstrap3 (3.4.0+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Antonio Terceiro ]
  * debian/rules: use UTC dates to avoid unreproducibility across timezones
    during new year's eve/day.

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Xavier Guimard ]
  * New upstream version 3.4.0+dfsg (Closes: #907414)
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.3.0
  * Update VCS URLs
  * Update debian/copyright
  * Update lintian overrides
  * Change section to javascript
  * Add upstream/metadata
  * Update upstream changelog
  * Remove get-orig-source target in debian/rules
  * Update links to https

 -- Xavier Guimard <yadd@debian.org>  Fri, 04 Jan 2019 07:27:13 +0100

=== debian/control ===
Source: twitter-bootstrap3
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>
Section: javascript
Priority: optional
Build-Depends: cssmin,
               debhelper (>= 12~),
               node-less,
               node-source-map,
               node-uglify
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/js-team/twitter-bootstrap3
Vcs-Git: https://salsa.debian.org/js-team/twitter-bootstrap3.git
Homepage: https://getbootstrap.com/

Package: libjs-bootstrap
Architecture: all
Depends: ${misc:Depends}
Description: HTML, CSS and JS framework
 Bootstrap is a popular HTML, CSS, and JS framework for developing
 responsive, mobile first projects on the web.
 .
 It includes base CSS and HTML for typography, forms, buttons, tables,
 grids, navigation, and more.

## twitter-bootstrap3 3.4.1%2Bdfsg

=== debian/tests/control ===
Test-Command: fc-list -q :family="GLYPHICONS Halflings"
Depends: fonts-glyphicons-halflings, fontconfig

Test-Command: for f in /usr/share/javascript/bootstrap/css/*.css; do sassc $f /dev/null; done || echo failed
Depends: libjs-bootstrap, sassc

## twitter-bootstrap3 3.4.1+dfsg

=== debian/changelog ===
twitter-bootstrap3 (3.4.1+dfsg-7) unstable; urgency=medium

  * Team upload.
  * Fix clean target. Closes: #1046045.
  * Fix privacy-breach-logo.
  * Drop obsolete lintian overrides.
  * Drop "Rules-Requires-Root: no" (default).
  * Drop "Priority: optional" (default).
  * Update standards-version.
  * Simplify salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Sat, 21 Feb 2026 21:30:00 +0100

twitter-bootstrap3 (3.4.1+dfsg-6) unstable; urgency=medium

  * Team upload
  * Do not refresh patches compared to 3.4.1+dfsg-4 in order
    to ease unblock to trixie.

 -- Bastien Roucariès <rouca@debian.org>  Sun, 01 Jun 2025 15:39:35 +0200

twitter-bootstrap3 (3.4.1+dfsg-5) unstable; urgency=medium

  * Team upload
  * Fix CVE-2025-1647 (Closes: #1105899)
    Improper Neutralization of Input During Web Page
    Generation (XSS or 'Cross-site Scripting') vulnerability
    in Bootstrap allows Cross-Site Scripting (XSS)
    DOM-based cross-site scripting (XSS) via DOM clobbering
    occurs when an attacker manipulates the Document Object Model
    (DOM) to overwrite or "clobber" an existing DOM object,
    leading to the execution of malicious scripts, particularly
    document.implementation variable.

 -- Bastien Roucariès <rouca@debian.org>  Fri, 30 May 2025 18:17:56 +0200

twitter-bootstrap3 (3.4.1+dfsg-4) unstable; urgency=medium

  * Team upload
  * Fix CVE-2024-6485:
    A security vulnerability has been discovered in bootstrap
    that could enable Cross-Site Scripting (XSS) attacks.
    The vulnerability is associated with the data-loading-text
    attribute within the button plugin.
    This vulnerability can be exploited by injecting malicious
    JavaScript code into the attribute, which would then be
    executed when the button's loading state is triggered.
    (Closes: #1084060)
  * Fix CVE-2024-6484:
    A vulnerability has been identified in Bootstrap that
    exposes users to Cross-Site Scripting (XSS) attacks.
    The issue is present in the carousel component, where the
    data-slide and data-slide-to attributes can be exploited
    through the href attribute of an <a> tag due to inadequate
    sanitization. This vulnerability could potentially enable
    attackers to execute arbitrary JavaScript within
    the victim's browser.
    (Closes: #1084060)

 -- Bastien Roucariès <rouca@debian.org>  Thu, 10 Apr 2025 23:47:00 +0200

twitter-bootstrap3 (3.4.1+dfsg-3) unstable; urgency=medium

  [ Yadd ]
  * Update lintian override info format in d/source/lintian-overrides on line 2-3, 6-8.
  * Update standards version to 4.6.1, no changes needed.
  * Replace /releases by /tags in GitHub urls
  * Fix version in debian/watch

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 17 Dec 2022 23:30:51 +0000

twitter-bootstrap3 (3.4.1+dfsg-2) unstable; urgency=medium

  [ Xavier Guimard ]
  * Replace Jonas Smedegaard by myself to uploaders. Thanks for your work!
    (Closes: #918197)
  * Apply multi-arch hints (foreign) (Closes: #923518)

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Update renamed lintian tag names in lintian overrides.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.

  [ Xavier Guimard ]
  * Replace build-dependency to node-uglify by uglifyjs (Closes: #979961)
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Add "Rules-Requires-Root: no"
  * Modernize debian/watch

 -- Xavier Guimard <yadd@debian.org>  Tue, 12 Jan 2021 12:16:16 +0100

twitter-bootstrap3 (3.4.1+dfsg-1) unstable; urgency=medium

  * Team upload
  * Exclude .gitignore from upstream archive
  * New upstream version 3.4.1+dfsg. Fixes CVE-2019-8331
  * Update debian/copyright

 -- Xavier Guimard <yadd@debian.org>  Fri, 22 Feb 2019 10:25:16 +0100

twitter-bootstrap3 (3.4.0+dfsg-4) unstable; urgency=medium

  * Generate README.txt and README.html from README.md.
    Build-depend on pandoc.
  * Enable autopkgtest.
  * Fix have libjs-bootstrap depend on fonts-glyphicons-halflings
    (not bogus fonts-glyhicons-halflings).
  * Add patch 2001 to fix privacy issues in documentation.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 22 Jan 2019 00:06:11 +0100

twitter-bootstrap3 (3.4.0+dfsg-3) unstable; urgency=medium

  * Update rules: Revert preparation of fonts,
    and instead omit installing them in debhelper hint.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 21 Jan 2019 22:34:34 +0100

twitter-bootstrap3 (3.4.0+dfsg-2) experimental; urgency=medium

  * Update copyright info:
    + Fix add Files section for fonts,
      and clarify licensing of main code and documentation.
    + Fix update Files section for customizer.js,
      add clarify its current licensing.
  * Wrap and sort control file.
  * Use dpkg snippet to resolve version string.
  * Fix add binary package fonts-glyphicons-halflings.
  * Add myself as uploader.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 21 Jan 2019 17:13:09 +0100

=== debian/control ===
Source: twitter-bootstrap3
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Section: javascript
Build-Depends:
 cssmin,
 debhelper-compat (= 13),
 lcdf-typetools,
 node-less,
 node-source-map,
 uglifyjs,
 pandoc <!nodoc>,
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/js-team/twitter-bootstrap3
Vcs-Git: https://salsa.debian.org/js-team/twitter-bootstrap3.git
Homepage: https://getbootstrap.com/

Package: libjs-bootstrap
Architecture: all
Multi-Arch: foreign
Depends:
 fonts-glyphicons-halflings,
 ${misc:Depends},
Description: HTML, CSS and JS framework
 Bootstrap is a popular HTML, CSS, and JS framework for developing
 responsive, mobile first projects on the web.
 .
 It includes base CSS and HTML for typography, forms, buttons, tables,
 grids, navigation, and more.

Package: fonts-glyphicons-halflings
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: icons made for smaller graphic
 GLYPHICONS is a family of icon fonts
 created with an emphasis to simplicity and easy orientation.
 .
 GLYPHICONS Halflings, a subset optimized for smaller graphics,
 were freely licensed as part of Bootstrap 2.x and 3.x.
